package com.autocareai.mvvmdemo.common.view

import androidx.lifecycle.Observer
import com.autocareai.lib.lifecycle.view.LibBaseLifecycleActivity
import com.autocareai.lib.util.ToastUtil

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : 生命周期Activity基类
 *     version: 1.0.0
 * </pre>
 */
abstract class BaseLifecycleActivity<VM : BaseViewModel> : LibBaseLifecycleActivity<VM>() {

    override fun initLifecycleObserver() {
        super.initLifecycleObserver()

        mViewModel.shortToastEvent.observe(this, Observer {
            // 显示toast
            ToastUtil.shortToast(it)
        })
    }
}